### Method

# GdkPixbuf.Pixbuf.save_to_streamv_async

#### Declaration [src]

    void
    gdk_pixbuf_save_to_streamv_async (
      GdkPixbuf* pixbuf,
      GOutputStream* stream,
      const gchar* type,
      gchar** option_keys,
      gchar** option_values,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Saves `pixbuf` to an output stream asynchronously.

For more details see `gdk_pixbuf_save_to_streamv()`, which is the synchronous version of this function.

When the operation is finished, `callback` will be called in the main thread.

You can then call `gdk_pixbuf_save_to_stream_finish()` to get the result of the operation.

#### Parameters

`stream` | `GOutputStream*`
| a `GOutputStream` to which to save the pixbuf
| Ownership is not transferred to the callee
`type` | `const gchar*`
| name of file format
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`option_keys` | An array of `utf8`
| name of options to set
| Can be `NULL`
| Ownership is not transferred to the callee
`option_values` | An array of `utf8`
| values for named options
| Can be `NULL`
| Ownership is not transferred to the callee
`cancellable` | `GCancellable*`
| optional `GCancellable` object, `NULL` to ignore
| Can be `NULL`
| Ownership is not transferred to the callee
`callback` | `GAsyncReadyCallback`
| a `GAsyncReadyCallback` to call when the pixbuf is saved
`user_data` | `gpointer`
| the data to pass to the callback function